#ifndef _OUTPUT_H_
#define _OUTPUT_H_

#include <string>

class Output
{
	bool mSaveLoading;
	bool mClearScreen;
public:
	Output() : mSaveLoading(false), mClearScreen (true) {}
	void Disable(bool aClearScreen);
	void Enable(bool aClearScreen);

	void Text(std::string aString);
	void TextQuote(std::string aString);
	void Int(int aInt);
	void Char(char aChar);
	void EndLines(int aLines);
	void ClearScreen();
	int GetBufferWidth();
};

#endif //Close _OUTPUT_H_